Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584998 - kernel 2.6.32.11-104.fc12.i686 extreme slowdown after IRQ interrupt
kernel 2.6.32.11-104.fc12.i686 extreme slowdown after IRQ interrupt
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 17:03 EDT by Greg Szyprowski
Modified: 2010-11-04 10:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 10:20:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (6.21 KB, text/plain)
2010-04-22 17:03 EDT, Greg Szyprowski
no flags Details

  None (edit)
Description Greg Szyprowski 2010-04-22 17:03:42 EDT
Created attachment 408445 [details]
lspci -v

Description of problem:

After system is running about 60 minutes and at this time is playing video or audio with Firefox(flash) or Mplayer/Totem, system extreme slowdown after interrupt IRQ handle first with graphics card when was play video or interrupt IRQ sound card when was play audio. After first interrupt IRQ about 15 minutes i have second interrupt IRQ with sound card when first interrupt IRQ was graphics card or had second interrupt IRQ with graphics card when first was sound card.


Version-Release number of selected component (if applicable):
kernel-firmware-2.6.32.11-105.fc12.noarch
kernel-headers-2.6.32.11-105.fc12.i686
kernel-PAE-2.6.32.11-104.fc12.i686
kernel-devel-2.6.32.11-104.fc12.i686
or
kernel-2.6.32.11-105.fc12.i686
kernel-PAE-2.6.32.11-105.fc12.i686
kernel-2.6.32.11-104.fc12.i686
kernel-devel-2.6.32.11-105.fc12.i686

xorg-x11-drv-ati-6.13.0-1.fc12.i686
xorg-x11-drv-ati-firmware-6.13.0-1.fc12.i686

libdrm-2.4.18-2.fc12.i686

xorg-x11-server-common-1.7.6-4.fc12.i686
xorg-x11-server-Xorg-1.7.6-4.fc12.i686

How reproducible:
Every time the system run and play video or audio on Firefox(flash) or Mplayer/Totem.

Steps to Reproduce:
1.System running
2.Play video or audio on Firefox(flash) or Mplayer/Totem
3.

Actual results:

irq 16: nobody cared (try booting with the "irqpoll" option)
Pid: 0, comm: swapper Not tainted 2.6.32.11-104.fc12.i686 #1
Call Trace:
 [<c0485048>] __report_bad_irq+0x33/0x74
 [<c0485183>] note_interrupt+0xfa/0x153
 [<c0485758>] handle_fasteoi_irq+0x83/0xa2
 [<c040565b>] handle_irq+0x40/0x4d
 [<c0404e21>] do_IRQ+0x46/0x9a
 [<c0403c70>] common_interrupt+0x30/0x38
 [<c0409649>] ? mwait_idle+0x61/0x6c
 [<c0402712>] cpu_idle+0x96/0xb0
 [<c07816a8>] rest_init+0x58/0x5a
 [<c09da8dd>] start_kernel+0x33c/0x341
 [<c09da09e>] i386_start_kernel+0x9e/0xa5
handlers:
[<c069676b>] (usb_hcd_irq+0x0/0x6f)
[<c069676b>] (usb_hcd_irq+0x0/0x6f)
[<f7daeeb0>] (radeon_driver_irq_handler_kms+0x0/0x19 [radeon])
Disabling IRQ #16

irq 17: nobody cared (try booting with the "irqpoll" option)
Pid: 0, comm: swapper Not tainted 2.6.32.11-104.fc12.i686 #1
Call Trace:
 [<c0485048>] __report_bad_irq+0x33/0x74
 [<c0485183>] note_interrupt+0xfa/0x153
 [<c0485758>] handle_fasteoi_irq+0x83/0xa2
 [<c040565b>] handle_irq+0x40/0x4d
 [<c0404e21>] do_IRQ+0x46/0x9a
 [<c0403c70>] common_interrupt+0x30/0x38
 [<c0409649>] ? mwait_idle+0x61/0x6c
 [<c0402712>] cpu_idle+0x96/0xb0
 [<c078e7a4>] start_secondary+0x1f5/0x233
handlers:
[<f8062165>] (snd_intel8x0_interrupt+0x0/0x1d9 [snd_intel8x0])
Disabling IRQ #17

Expected results:
no IRQ interrupt with extreme slowdown system
no errors

Additional info:

This same bug had on kernel 2.6.32.9-70.fc12.i686.PAE or kernel 2.6.32.9-70.fc12.i686 -> bug 574882 https://bugzilla.redhat.com/show_bug.cgi?id=574882.

This same bug is on kernel from 2.6.31.12-174 to newest kernel 2.6.32.11-105

/proc/interrupts:
            CPU0       CPU1
   0:        158          0   IO-APIC-edge      timer
   1:          2          0   IO-APIC-edge      i8042
   3:          2          0   IO-APIC-edge
   4:          2          0   IO-APIC-edge
   7:          0          0   IO-APIC-edge      parport0
   8:          1          0   IO-APIC-edge      rtc0
   9:          0          0   IO-APIC-fasteoi   acpi
  12:          4          0   IO-APIC-edge      i8042
  14:          0          0   IO-APIC-edge      ata_piix
  15:          0          0   IO-APIC-edge      ata_piix
  16:     300001          0   IO-APIC-fasteoi   uhci_hcd:usb2, uhci_hcd:usb5, radeon
  17:        690    1599311   IO-APIC-fasteoi   Intel ICH5
  18:       4365     243245   IO-APIC-fasteoi   ata_piix, uhci_hcd:usb4, eth0
  19:       4731          0   IO-APIC-fasteoi   uhci_hcd:usb3
  20:          3        131   IO-APIC-fasteoi   firewire_ohci
  23:     328017          0   IO-APIC-fasteoi   ehci_hcd:usb1
 NMI:          0          0   Non-maskable interrupts
 LOC:    4341827    4249062   Local timer interrupts
 SPU:          0          0   Spurious interrupts
 PMI:          0          0   Performance monitoring interrupts
 PND:          0          0   Performance pending work
 RES:      40494      52221   Rescheduling interrupts
 CAL:    2216043    2993369   Function call interrupts
 TLB:      15793      14676   TLB shootdowns
 TRM:          0          0   Thermal event interrupts
 THR:          0          0   Threshold APIC interrupts
 MCE:          0          0   Machine check exceptions
 MCP:         29         29   Machine check polls
 ERR:          1
 MIS:          0

/proc/cpuinfo:
rocessor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 3
model name      : Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 3
cpu MHz         : 3000.000
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
apicid          : 0
initial apicid  : 0
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc pebs bts pni dtes64 monitor ds_cpl cid
bogomips        : 5996.54
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 32 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 3
model name      : Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 3
cpu MHz         : 3000.000
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
apicid          : 1
initial apicid  : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc pebs bts pni dtes64 monitor ds_cpl cid
bogomips        : 5996.76
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 32 bits virtual
power management:
Comment 1 Bug Zapper 2010-11-03 12:32:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Greg Szyprowski 2010-11-04 10:20:11 EDT
This error does not occur in the kernel-2.6.32.23-170.fc12.
This bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.